Subject: bug#50097: gzip: add "--keep" option to keep original files unchanged

From: Krzysztof Żelechowski <[email-masked]>
Date: Sun, 22 Aug 2021 13:31:34 +0200

Dnia niedziela, 22 sierpnia 2021 13:21:45 CEST Adler, Mark pisze:
> Just for information, up to now, pigz would merrily unlink the hard link of
> the input file, even if it has other hard links. While I’m not sure I
> understand why it shouldn’t do that (that is in fact what you asked it to
> do), in the spirit of behaving mostly like gzip, it will now* not

I assumed we wanted to prevent the possibility that we would overwrite and 
rename the file instead of removing it.  I understand that it is not the 
current approach and it stinks of data loss but it possible to do it that way, 
e.g. if the underlying file system is transactional; in that case, the 
difference would not be observable.

Chris